Subject: [alpine-aports] [PATCH] testing/git-lfs: new aport

From: Sören Tempel <[email-masked]>
Date: Sun, 27 Sep 2015 18:42:17 +0200

---
 testing/git-lfs/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/git-lfs/APKBUILD

diff --git a/testing/git-lfs/APKBUILD b/testing/git-lfs/APKBUILD
new file mode 100644
index 0000000..9e9ad72
--- /dev/null
+++ b/testing/git-lfs/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=git-lfs
+pkgver=0.6.0
+pkgrel=0
+pkgdesc="Git extension for versioning large files"
+url="https://git-lfs.github.com/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="go"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/github/$pkgname/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/src/github.com/github
+prepare() {
+	mkdir -p "$_builddir"
+	ln -s "$srcdir"/$pkgname-$pkgver "$_builddir"/$pkgname || return 1
+}
+
+build() {
+	cd "$_builddir"/$pkgname
+	GOPATH="$srcdir" go build || return 1
+
+	# TODO man page generation would require ronn which isn't packaged yet.
+	# sh ./script/man
+}
+
+package() {
+	cd "$_builddir"/$pkgname
+	install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+	for file in api extensions.md spec.md README.md; do
+		mv docs/$file "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+	done
+}
+
+md5sums="ccc0fce4a46559d42e93308ed62dac3f  git-lfs-0.6.0.tar.gz"
+sha256sums="cfb270be1e480c70f0cea8eacf9828c2d7ef590532b8a88931ca58e1505183c1  git-lfs-0.6.0.tar.gz"
+sha512sums="90b994d6840d265ee3bcadcc9c371608b8fa3f1fce50253aedea2d172f1324b93995ebe0e7ada291764d2e68b8c85bd2992e7dda8d76cd271bd9c4883d95f907  git-lfs-0.6.0.tar.gz"
-- 
2.5.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---